package dev.kske.spawnfly;

import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

public final class SpawnFly extends JavaPlugin {
	SpawnListener spawnListener = new SpawnListener();
	
	@Override
	public void onEnable() {
		getLogger().info("onEnable has been invoked!");
		Bukkit.getPluginManager().registerEvents(spawnListener, this);
		getCommand("setspawnflyarea").setExecutor(new SpawnCommand(this));
	}

	@Override
	public void onDisable() {
		getLogger().info("onDisable has been invoked!");
	}
	
	public void setCoordinates(int x1, int y1, int z1, int x2, int y2, int z2) {
		spawnListener.setCoordinates(x1, y1, z1, x2, y2, z2);
	}
}
